/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../index";
/**
 * The 1099-MISC form fields.
 */
export interface Form1099MiscFormFieldsRequestSchema {
    /** If the FATCA filing requirement box is checked, the payer is reporting on this Form 1099 to satisfy its account reporting requirement under chapter 4 of the Internal Revenue Code. You may also have a filing requirement. See the Instructions for Form 8938. */
    hasFatcaFilingRequirement?: boolean;
    /** May show an account or other unique number the payer assigned to distinguish your account. This field is also required if `fatca` is `true`. Abound will auto-generated this field if not provided. */
    accountNumber?: string;
    /** Report rents from real estate on Schedule E (Form 1040). However, report rents on Schedule C (Form 1040) if you provided significant services to the tenant, sold real estate as a business, or rented personal property as a business. Value must be in cents. */
    rents?: number;
    /** Report royalties from oil, gas, or mineral properties; copyrights; and patents on Schedule E (Form 1040). However, report payments for a working interest as explained in the Schedule E (Form 1040) instructions. For royalties on timber, coal, and iron ore, see Pub. 544. Value must be in cents. */
    royalties?: number;
    /** Generally, report this amount on the “Other income” line of Schedule 1 (Form 1040) and identify the payment. The amount shown may be payments received as the beneficiary of a deceased employee, prizes, awards, taxable damages, Indian gaming profits, or other taxable income. See Pub. 525. If it is trade or business income, report this amount on Schedule C or F (Form 1040). Value must be in cents. */
    otherIncome?: number;
    /** Shows backup withholding or withholding on Indian gaming profits.Generally, a payer must backup withhold if you did not furnish your TIN. See Form W-9 and Pub. 505 for more information. Report this amount on your income tax return as tax withheld. Abound does not currently support `federalIncomeTaxWithheld` reporting on the 1099-MISC, please contact us for more information. */
    federalIncomeTaxWithheld?: number;
    /** Shows the amount paid to you as a fishing boat crew member by the operator, who considers you to be self-employed. Self-employed individuals must report this amount on Schedule C (Form 1040). See Pub. 334. Value must be in cents. */
    fishingBoatProceeds?: number;
    /** For individuals, report on Schedule C (Form 1040). Value must be in cents. Value must be in cents. */
    medicalAndHealthCarePayments?: number;
    /** If checked, consumer products totaling $5,000 or more were sold to you for resale, on a buy-sell, a deposit-commission, or other basis. Generally, report any income from your sale of these products on Schedule C (Form 1040). */
    hasDirectSalesOver5000?: boolean;
    /** Shows substitute payments in lieu of dividends or tax-exempt interest received by your broker on your behalf as a result of a loan of your securities. Report on the “Other income” line of Schedule 1 (Form 1040). Value must be in cents. */
    substitutePaymentsInLieuOfDividendsOrInterest?: number;
    /** Report this amount on Schedule F (Form 1040). Value must be in cents. */
    cropInsuranceProceeds?: number;
    /** Shows gross proceeds paid to an attorney in connection with legal services. Report only the taxable part as income on your return. Value must be in cents. */
    grossProceedsPaidToAnAttorney?: number;
    /** Shows the amount of cash you received for the sale of fish if you are in the trade or business of catching fish. Value must be in cents. */
    fishPurchasedForResale?: number;
    /** May show current year deferrals as a nonemployee under a nonqualified deferred compensation (NQDC) plan that is subject to the requirements of section 409A plus any earnings on current and prior year deferrals. Value must be in cents. */
    section409ADeferrals?: number;
    /** Shows your total compensation of excess golden parachute payments subject to a 20% excise tax. See your tax return instructions for where to report. Value must be in cents. */
    excessGoldenParachutePayments?: number;
    /** Shows income as a nonemployee under an NQDC plan that does not meet the requirements of section 409A. Any amount included in box 12 that is currently taxable is also included in this box. Report this amount as income on your tax return. This income is also subject to a substantial additional tax to be reported on Form 1040, 1040-SR, or 1040-NR. See the instructions for your tax return. Value must be in cents. */
    nonqualifiedDeferredCompensation?: number;
    /** An array that contains up to two state tax information objects. Abound currently only supports one state tax information object in this array. Abound does not currently support state-level tax withholding reporting on the 1099-MISC, please contact us for more information. */
    stateTaxInfo: Abound.types.Form1099StateTaxInfoWithStateIncomeSchema[];
}
