/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../index";
/**
 * The payee (beneficial owner) completing the document.
 */
export interface W8BenBeneficialOwnerRequestSchema {
    /** The payee's legal name (first + last). */
    name: string;
    /** The payee's country of citizenship adhering to `ISO 3166-2` standards. */
    citizenshipCountry: string;
    /** The payee's US tax identification number, commonly referred to as a TIN. No hyphens. Numerical digits only. Alternatively, you may pass the corresponding `tinFingerprint`. */
    tin?: string;
    /** The payee's foreign tax identifying number, commonly referred to as a FTIN. No hyphens. Alphanumeric digits only. Alternatively, you may pass the corresponding `foreignTinFingerprint`. */
    foreignTin?: string;
    /** The date, in `YYYY-MM-DD` format, the payee was born on. */
    dateOfBirth: string;
    /** Permanent residence address (street, apt. or suite no., or rural route). Do not use a P.O. box or in-care-of address. */
    permanentResidenceAddress: Abound.types.ForeignAddressSchema;
    /** The mailing address. Only include if different from the permanent residence address. */
    mailingAddress?: Abound.types.AddressSchema;
}
