/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as environments from "../../../../environments";
import * as core from "../../../../core";
import * as Abound from "../../../index";
export declare namespace TaxTreaties {
    interface Options {
        environment?: core.Supplier<environments.AboundEnvironment | string>;
        /** Specify a custom URL to connect the client to. */
        baseUrl?: core.Supplier<string>;
        apiKey: core.Supplier<core.BearerToken>;
        fetcher?: core.FetchFunction;
    }
    interface RequestOptions {
        /** The maximum time to wait for a response in seconds. */
        timeoutInSeconds?: number;
        /** The number of times to retry the request. Defaults to 2. */
        maxRetries?: number;
        /** A hook to abort the request. */
        abortSignal?: AbortSignal;
        /** Additional headers to include in the request. */
        headers?: Record<string, string>;
    }
}
export declare class TaxTreaties {
    protected readonly _options: TaxTreaties.Options;
    constructor(_options: TaxTreaties.Options);
    /**
     * Returns a list of tax treaties.
     *
     * @param {Abound.TaxTreatiesListRequest} request
     * @param {TaxTreaties.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.taxTreaties.list()
     */
    list(request?: Abound.TaxTreatiesListRequest, requestOptions?: TaxTreaties.RequestOptions): Promise<Abound.TaxTreatySchema[]>;
    protected _getAuthorizationHeader(): Promise<string>;
}
