/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../../../index";
export interface Form1099BaseSchema {
    id: Abound.types.DocumentId;
    /** The `ISO 8601` timestamp when the document was created. */
    createdAt: string;
    filingYear: Abound.types.FilingYear;
    /** The status of the 1099 document.<br/>&nbsp;&nbsp;• `CREATED`: The document has passed data validation and the PDFs have been generated.<br/>&nbsp;&nbsp;• `FILED`: The payee's TIN has been verified and the 1099 has been filed with the appropriate tax authorities.<br/>&nbsp;&nbsp;• `ACCEPTED`: The document has been acknowledged and accepted by the appropriate tax authorities.<br/>&nbsp;&nbsp;• `REJECTED`: The document has a TIN verification `MISMATCH` or has been rejected by one or more tax authories. */
    status: Abound.types.Form1099StatusEnum;
    /** The URL to the payer's 1099 document. Both the Payer's and Payee's TINs are not masked in this document. */
    payerUrl: string;
    /** The URL to the payee's 1099 document. The Payee's TIN is masked in this document. The Payer's TIN is not masked. */
    payeeUrl: string;
    payer: Abound.types.PayerSchema;
    payee: Abound.types.PayeeSchema;
    /** The `documentId` of the corrected 1099 document. */
    correctedById?: string;
    /** The `documentId` of the original 1099 document. */
    correctedFromId?: string;
    /** The `documentId` of the voided 1099 document. */
    voidedById?: string;
    /** The `documentId` of the original 1099 document. */
    voidedFromId?: string;
    userId?: Abound.types.UserId;
}
