/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../../../index";
/**
 * The tax treaty benefits the payee is claiming.
 */
export interface TaxTreatyBenefitsSchema {
    /** The foreign country, adhering to `ISO 3166-2` standards, the payee is claiming treaty benefits as a resident with which the United States has an income tax treaty for payments subject to withholding under chapter 3 or under section 1446(a) or (f). */
    residentCountry: string;
    /** The article and paragraph of the tax treaty that cite the provisions the payee is claiming. Max 20 characters. */
    claimedProvision: string;
    /** The decimal percentage rate of withholding the tax treaty allows by default. Rates are subject to validation and approval by the Payer. */
    rateOfWithholding: number;
    /** The code of the income associated with the claimed rate of withholding. */
    incomeCode: Abound.types.TaxTreatyIncomeCodeEnum;
    /** The type of income associated with the claimed rate of withholding. */
    incomeType: "SERVICES";
    /** The additional conditions the payee is claiming under the cited tax treaty. */
    additionalConditions?: string;
}
