/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as environments from "../../../../environments";
import * as core from "../../../../core";
import * as Abound from "../../../index";
export declare namespace AccessTokens {
    interface Options {
        environment?: core.Supplier<environments.AboundEnvironment | string>;
        /** Specify a custom URL to connect the client to. */
        baseUrl?: core.Supplier<string>;
        apiKey: core.Supplier<core.BearerToken>;
        fetcher?: core.FetchFunction;
    }
    interface RequestOptions {
        /** The maximum time to wait for a response in seconds. */
        timeoutInSeconds?: number;
        /** The number of times to retry the request. Defaults to 2. */
        maxRetries?: number;
        /** A hook to abort the request. */
        abortSignal?: AbortSignal;
        /** Additional headers to include in the request. */
        headers?: Record<string, string>;
    }
}
export declare class AccessTokens {
    protected readonly _options: AccessTokens.Options;
    constructor(_options: AccessTokens.Options);
    /**
     * Creates an access token for authenticating Drop-In UI Components.
     *
     * @param {Abound.AccessTokenRequestSchema} request
     * @param {AccessTokens.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.accessTokens.create({
     *         expiresIn: 900
     *     })
     */
    create(request: Abound.AccessTokenRequestSchema, requestOptions?: AccessTokens.RequestOptions): Promise<Abound.AccessTokenSchema>;
    protected _getAuthorizationHeader(): Promise<string>;
}
