"use strict";
/**
 * This file was auto-generated by Fern from our API Definition.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Form1099Int = void 0;
const environments = __importStar(require("../../../../environments"));
const core = __importStar(require("../../../../core"));
const Abound = __importStar(require("../../../index"));
const url_join_1 = __importDefault(require("url-join"));
const errors = __importStar(require("../../../../errors/index"));
class Form1099Int {
    constructor(_options) {
        this._options = _options;
    }
    /**
     * Returns a list of 1099-INT documents.
     *
     * @param {Abound.Form1099IntListRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.list()
     */
    list() {
        return __awaiter(this, arguments, void 0, function* (request = {}, requestOptions) {
            var _a, _b, _c;
            const { page, filingYear, payeeTinFingerprint, payerTinFingerprint, status, userId } = request;
            const _queryParams = {};
            if (page != null) {
                _queryParams["page"] = page.toString();
            }
            if (filingYear != null) {
                _queryParams["filingYear"] = filingYear.toString();
            }
            if (payeeTinFingerprint != null) {
                _queryParams["payeeTinFingerprint"] = payeeTinFingerprint;
            }
            if (payerTinFingerprint != null) {
                _queryParams["payerTinFingerprint"] = payerTinFingerprint;
            }
            if (status != null) {
                _queryParams["status"] = status;
            }
            if (userId != null) {
                _queryParams["userId"] = userId;
            }
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, "/v4/documents/1099-int"),
                method: "GET",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                queryParameters: _queryParams,
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling GET /v4/documents/1099-int.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Creates a 1099-INT document and subsequently kicks off a TIN Verification, if the name and TIN combo has not been used before.
     *
     * @param {Abound.Form1099IntRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.create({
     *         body: {
     *             filingYear: 2024,
     *             payer: {
     *                 name: "Hooli",
     *                 tin: "111111111",
     *                 address: "256 Byron Street",
     *                 address2: "Suite 32",
     *                 city: "Palo Alto",
     *                 state: "CA",
     *                 postalCode: "94306",
     *                 country: "US",
     *                 phoneNumber: "+16501014096"
     *             },
     *             payee: {
     *                 name: "Ada Lovelace",
     *                 tin: "000000000",
     *                 address: "1401 N Shoreline Blvd",
     *                 address2: "Suite 1",
     *                 city: "Mountain View",
     *                 state: "CA",
     *                 postalCode: "94043",
     *                 country: "US"
     *             },
     *             formFields: {
     *                 bondPremium: 19423,
     *                 bondPremiumTaxExemptBond: 19423,
     *                 bondPremiumTreasury: 19423,
     *                 earlyWithdrawalPenalty: 23223,
     *                 foreignTaxPaid: 19423,
     *                 foreignTaxPaidCountry: "FR",
     *                 hasFatcaFilingRequirement: true,
     *                 interestIncome: 83232,
     *                 investmentExpenses: 19423,
     *                 marketDiscount: 19423,
     *                 payersRoutingNumber: "054000030",
     *                 specifiedPrivateActivityBondInterest: 19423,
     *                 taxExemptInterest: 19423,
     *                 usSavingsBondsInterest: 19423,
     *                 federalIncomeTaxWithheld: 0,
     *                 accountNumber: "A006SVmcrieFAbm3gsaV",
     *                 stateTaxInfo: [{
     *                         filingState: "CA",
     *                         stateTaxWithheld: 0
     *                     }]
     *             }
     *         }
     *     })
     */
    create(request, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const { "Idempotency-Key": idempotencyKey, body: _body } = request;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, "/v4/documents/1099-int"),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version, "Idempotency-Key": idempotencyKey != null ? idempotencyKey : undefined }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                body: _body,
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/1099-int.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Mails a 1099-INT document.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Abound.Form1099IntMailingRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.mail("documentId_samplepWpJ9Snlzb", {
     *         body: {
     *             to: {
     *                 address: "1401 N Shoreline Blvd",
     *                 address2: "Suite 1",
     *                 city: "Mountain View",
     *                 state: "CA",
     *                 postalCode: "94043",
     *                 country: "US",
     *                 name: "Ada Lovelace"
     *             },
     *             from: {
     *                 address: "256 Byron Street",
     *                 address2: "Suite 32",
     *                 city: "Palo Alto",
     *                 state: "CA",
     *                 postalCode: "94306",
     *                 country: "US",
     *                 name: "Hooli"
     *             }
     *         }
     *     })
     */
    mail(documentId, request, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const { "Idempotency-Key": idempotencyKey, body: _body } = request;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}/mail`),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version, "Idempotency-Key": idempotencyKey != null ? idempotencyKey : undefined }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                body: _body,
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/1099-int/{documentId}/mail.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Files a 1099-INT document.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Abound.Form1099IntFileRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.file("documentId_samplepWpJ9Snlzb")
     */
    file(documentId_1) {
        return __awaiter(this, arguments, void 0, function* (documentId, request = {}, requestOptions) {
            var _a, _b, _c;
            const { "Idempotency-Key": idempotencyKey } = request;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}/file`),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version, "Idempotency-Key": idempotencyKey != null ? idempotencyKey : undefined }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/1099-int/{documentId}/file.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Files a new corrected 1099-INT and relates it to the original document. A 1099-INT can be corrected only after it has reached the `FILED` status. Automatically handles both one-transaction and two-transaction corrections.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Abound.Form1099IntCorrectRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.correct("documentId_samplepWpJ9Snlzb", {
     *         body: {
     *             payee: {
     *                 name: "Ada Lovelace",
     *                 tin: "000000000",
     *                 address: "1401 N Shoreline Blvd",
     *                 address2: "Suite 1",
     *                 city: "Mountain View",
     *                 state: "CA",
     *                 postalCode: "94043",
     *                 country: "US"
     *             },
     *             formFields: {
     *                 bondPremium: 19423,
     *                 bondPremiumTaxExemptBond: 19423,
     *                 bondPremiumTreasury: 19423,
     *                 earlyWithdrawalPenalty: 23223,
     *                 foreignTaxPaid: 19423,
     *                 foreignTaxPaidCountry: "FR",
     *                 hasFatcaFilingRequirement: true,
     *                 interestIncome: 10000,
     *                 investmentExpenses: 19423,
     *                 marketDiscount: 19423,
     *                 payersRoutingNumber: "054000030",
     *                 specifiedPrivateActivityBondInterest: 19423,
     *                 taxExemptInterest: 19423,
     *                 usSavingsBondsInterest: 19423,
     *                 federalIncomeTaxWithheld: 0,
     *                 accountNumber: "A006SVmcrieFAbm3gsaV",
     *                 stateTaxInfo: [{
     *                         filingState: "CA"
     *                     }]
     *             }
     *         }
     *     })
     */
    correct(documentId, request, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const { "Idempotency-Key": idempotencyKey, body: _body } = request;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}/correct`),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version, "Idempotency-Key": idempotencyKey != null ? idempotencyKey : undefined }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                body: _body,
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/1099-int/{documentId}/correct.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Files a new voided 1099-INT and relates it to the original document. A 1099-INT can be voided only after it has reached the `FILED` status.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Abound.Form1099IntVoidRequest} request
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.void("documentId_samplepWpJ9Snlzb")
     */
    void(documentId_1) {
        return __awaiter(this, arguments, void 0, function* (documentId, request = {}, requestOptions) {
            var _a, _b, _c;
            const { "Idempotency-Key": idempotencyKey } = request;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}/void`),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version, "Idempotency-Key": idempotencyKey != null ? idempotencyKey : undefined }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/1099-int/{documentId}/void.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Retrieves the details of an existing 1099-INT document.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.retrieve("documentId_samplepWpJ9Snlzb")
     */
    retrieve(documentId, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}`),
                method: "GET",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling GET /v4/documents/1099-int/{documentId}.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Deletes a 1099-INT document. Once an action (`/file`, `/correct`, `/void`) has been executed on a 1099-INT, it cannot be deleted.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {Form1099Int.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.form1099Int.delete("documentId_samplepWpJ9Snlzb")
     */
    delete(documentId, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/1099-int/${encodeURIComponent(documentId)}`),
                method: "DELETE",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling DELETE /v4/documents/1099-int/{documentId}.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    _getAuthorizationHeader() {
        return __awaiter(this, void 0, void 0, function* () {
            return `Bearer ${yield core.Supplier.get(this._options.apiKey)}`;
        });
    }
}
exports.Form1099Int = Form1099Int;
