"use strict";
/**
 * This file was auto-generated by Fern from our API Definition.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormW8Ben = void 0;
const environments = __importStar(require("../../../../environments"));
const core = __importStar(require("../../../../core"));
const Abound = __importStar(require("../../../index"));
const url_join_1 = __importDefault(require("url-join"));
const errors = __importStar(require("../../../../errors/index"));
class FormW8Ben {
    constructor(_options) {
        this._options = _options;
    }
    /**
     * Returns a list of W-8BEN documents.
     *
     * @param {Abound.FormW8BenListRequest} request
     * @param {FormW8Ben.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.formW8Ben.list()
     */
    list() {
        return __awaiter(this, arguments, void 0, function* (request = {}, requestOptions) {
            var _a, _b, _c;
            const { page, payeeTinFingerprint, payeeForeignTinFingerprint, userId } = request;
            const _queryParams = {};
            if (page != null) {
                _queryParams["page"] = page.toString();
            }
            if (payeeTinFingerprint != null) {
                _queryParams["payeeTinFingerprint"] = payeeTinFingerprint;
            }
            if (payeeForeignTinFingerprint != null) {
                _queryParams["payeeForeignTinFingerprint"] = payeeForeignTinFingerprint;
            }
            if (userId != null) {
                _queryParams["userId"] = userId;
            }
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, "/v4/documents/w-8ben"),
                method: "GET",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                queryParameters: _queryParams,
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling GET /v4/documents/w-8ben.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Creates a W-8BEN document and, if present, subsequently kicks off a TIN Verification. A TIN Verification will only kickoff if the name and TIN combo has not been seen before.
     *
     * @param {Abound.W8BenRequestSchema} request
     * @param {FormW8Ben.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.formW8Ben.create({
     *         payee: {
     *             name: "Ada Lovelace",
     *             citizenshipCountry: "GB",
     *             tin: "000000000",
     *             foreignTin: "DQ123456C",
     *             dateOfBirth: "1982-12-10",
     *             permanentResidenceAddress: {
     *                 address: "43 Hilly Fields",
     *                 address2: "Suite 32",
     *                 city: "Lewisham",
     *                 state: "London",
     *                 postalCode: "SE13 7JN",
     *                 country: "GB"
     *             },
     *             mailingAddress: {
     *                 address: "256 Byron Street",
     *                 address2: "Suite 32",
     *                 city: "Palo Alto",
     *                 postalCode: "94306",
     *                 state: "CA",
     *                 country: "US"
     *             }
     *         },
     *         formFields: {
     *             isForeignTinNotRequired: false,
     *             taxTreatyCode: "GB_17_INDEPENDENT_PERSONAL_SERVICES",
     *             referenceNumbers: ["123456789"],
     *             isCertified: true,
     *             electronicSignature: {
     *                 signature: "Ada Lovelace",
     *                 printedName: "Ada Lovelace",
     *                 signedAt: "2024-01-01T00:00:00.000Z",
     *                 ipAddress: "127.0.0.1"
     *             }
     *         }
     *     })
     */
    create(request, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, "/v4/documents/w-8ben"),
                method: "POST",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                body: request,
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling POST /v4/documents/w-8ben.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    /**
     * Retrieves the details of an existing W-8BEN document.
     *
     * @param {Abound.types.DocumentId} documentId
     * @param {FormW8Ben.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @throws {@link Abound.types.BadRequestErrorSchema}
     * @throws {@link Abound.types.UnauthorizedErrorSchema}
     * @throws {@link Abound.types.NotFoundErrorSchema}
     * @throws {@link Abound.types.InternalServerErrorSchema}
     *
     * @example
     *     await client.formW8Ben.retrieve("documentId_samplexEM8PRV7sh")
     */
    retrieve(documentId, requestOptions) {
        return __awaiter(this, void 0, void 0, function* () {
            var _a, _b, _c;
            const _response = yield ((_a = this._options.fetcher) !== null && _a !== void 0 ? _a : core.fetcher)({
                url: (0, url_join_1.default)((_c = (_b = (yield core.Supplier.get(this._options.baseUrl))) !== null && _b !== void 0 ? _b : (yield core.Supplier.get(this._options.environment))) !== null && _c !== void 0 ? _c : environments.AboundEnvironment.Sandbox, `/v4/documents/w-8ben/${encodeURIComponent(documentId)}`),
                method: "GET",
                headers: Object.assign({ Authorization: yield this._getAuthorizationHeader(), "X-Fern-Language": "JavaScript", "X-Fern-SDK-Name": "@withabound/node-sdk", "X-Fern-SDK-Version": "6.0.67", "User-Agent": "@withabound/node-sdk/6.0.67", "X-Fern-Runtime": core.RUNTIME.type, "X-Fern-Runtime-Version": core.RUNTIME.version }, requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.headers),
                contentType: "application/json",
                requestType: "json",
                timeoutMs: (requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.timeoutInSeconds) != null ? requestOptions.timeoutInSeconds * 1000 : 60000,
                maxRetries: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.maxRetries,
                abortSignal: requestOptions === null || requestOptions === void 0 ? void 0 : requestOptions.abortSignal,
            });
            if (_response.ok) {
                return _response.body;
            }
            if (_response.error.reason === "status-code") {
                switch (_response.error.statusCode) {
                    case 400:
                        throw new Abound.types.BadRequestErrorSchema(_response.error.body);
                    case 401:
                        throw new Abound.types.UnauthorizedErrorSchema(_response.error.body);
                    case 404:
                        throw new Abound.types.NotFoundErrorSchema(_response.error.body);
                    case 500:
                        throw new Abound.types.InternalServerErrorSchema(_response.error.body);
                    default:
                        throw new errors.AboundError({
                            statusCode: _response.error.statusCode,
                            body: _response.error.body,
                        });
                }
            }
            switch (_response.error.reason) {
                case "non-json":
                    throw new errors.AboundError({
                        statusCode: _response.error.statusCode,
                        body: _response.error.rawBody,
                    });
                case "timeout":
                    throw new errors.AboundTimeoutError("Timeout exceeded when calling GET /v4/documents/w-8ben/{documentId}.");
                case "unknown":
                    throw new errors.AboundError({
                        message: _response.error.errorMessage,
                    });
            }
        });
    }
    _getAuthorizationHeader() {
        return __awaiter(this, void 0, void 0, function* () {
            return `Bearer ${yield core.Supplier.get(this._options.apiKey)}`;
        });
    }
}
exports.FormW8Ben = FormW8Ben;
