/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../index";
/**
 * @example
 *     {
 *         id: "documentId_samplexEM8PRV7sh",
 *         createdAt: "2024-01-01T00:00:00.000Z",
 *         expiresAt: "2029-01-01T00:00:00.000Z",
 *         url: "https://tax-documents-sandbox.s3.us-west-2.amazonaws.com/FORM-W-8BEN.pdf",
 *         payee: {
 *             name: "Ada Lovelace",
 *             citizenshipCountry: "GB",
 *             dateOfBirth: "1982-12-10",
 *             permanentResidenceAddress: {
 *                 address: "43 Hilly Fields",
 *                 address2: "Suite 32",
 *                 city: "Lewisham",
 *                 state: "London",
 *                 postalCode: "SE13 7JN",
 *                 country: "GB"
 *             },
 *             mailingAddress: {
 *                 address: "256 Byron Street",
 *                 address2: "Suite 32",
 *                 city: "Palo Alto",
 *                 postalCode: "94306",
 *                 state: "CA",
 *                 country: "US"
 *             },
 *             tin: "*******00",
 *             tinType: Abound.types.TinTypeEnum.Individual,
 *             tinFingerprint: "tinFingerprint_samplehy2BWO6JJG",
 *             tinVerificationId: "tinVerificationId_sample41SD71AV8f",
 *             tinVerificationStatus: Abound.types.TinVerificationStatusEnum.Match,
 *             foreignTin: "*******6C",
 *             foreignTinFingerprint: "tinFingerprint_sampleanXo4V9nL9"
 *         },
 *         formFields: {
 *             taxClassification: "INDIVIDUAL",
 *             isForeignTinNotRequired: false,
 *             taxTreatyBenefits: {
 *                 residentCountry: "GB",
 *                 claimedProvision: "7",
 *                 rateOfWithholding: 0,
 *                 incomeCode: Abound.types.TaxTreatyIncomeCodeEnum.Seventeen,
 *                 incomeType: "SERVICES",
 *                 additionalConditions: "Independent personal services performed in the US"
 *             },
 *             referenceNumbers: ["123456789"],
 *             isCertified: true,
 *             electronicSignature: {
 *                 signature: "Ada Lovelace",
 *                 printedName: "Ada Lovelace",
 *                 signedAt: "2024-01-01T00:00:00.000Z",
 *                 ipAddress: "127.0.0.1"
 *             }
 *         }
 *     }
 */
export interface W8BenSchema {
    /** The unique identifier for the W-8BEN document. */
    id: string;
    /** The date and time in `ISO 8601` format when the W-8BEN document was created. */
    createdAt: string;
    /** The date and time in `ISO 8601` format when the W-8BEN is expired and requires re-collection. */
    expiresAt: string;
    /** The URL to the W-8BEN document. */
    url: string;
    payee: Abound.W8BenBeneficialOwnerSchema;
    formFields: Abound.W8BenFormFieldsSchema;
    userId?: Abound.types.UserId;
}
