/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Abound from "../../../index";
/**
 * @example
 *     {
 *         id: "documentId_sampleGyuBXlfAwo",
 *         createdAt: "2024-01-01T00:00:00.000Z",
 *         expiresAt: "2029-01-01T00:00:00.000Z",
 *         url: "https://tax-documents-sandbox.s3.us-west-2.amazonaws.com/FORM-W-8BEN-E.pdf",
 *         payee: {
 *             name: "Hooli",
 *             incorporationCountry: "GB",
 *             tin: "*******11",
 *             permanentResidenceAddress: {
 *                 address: "43 Hilly Fields",
 *                 address2: "Suite 32",
 *                 city: "Lewisham",
 *                 state: "London",
 *                 postalCode: "SE13 7JN",
 *                 country: "GB"
 *             },
 *             mailingAddress: {
 *                 address: "256 Byron Street",
 *                 address2: "Suite 32",
 *                 city: "Palo Alto",
 *                 postalCode: "94306",
 *                 state: "CA",
 *                 country: "US"
 *             },
 *             tinType: Abound.types.TinTypeEnum.Business,
 *             tinFingerprint: "tinFingerprint_sample847jI1LwxF",
 *             tinVerificationId: "tinVerificationId_sample1b0E6efa89",
 *             tinVerificationStatus: Abound.types.TinVerificationStatusEnum.Match,
 *             foreignTin: "*******6C",
 *             foreignTinFingerprint: "tinFingerprint_sampleanXo4V9nL9"
 *         },
 *         formFields: {
 *             taxClassification: Abound.W8BenETaxClassificationEnum.Corporation,
 *             isForeignTinNotRequired: false,
 *             taxTreatyBenefits: {
 *                 residentCountry: "GB",
 *                 claimedProvision: "7",
 *                 rateOfWithholding: 0,
 *                 incomeCode: Abound.types.TaxTreatyIncomeCodeEnum.Seventeen,
 *                 incomeType: "SERVICES",
 *                 additionalConditions: "Independent personal services performed in the US"
 *             },
 *             referenceNumbers: ["123456789"],
 *             isCertified: true,
 *             electronicSignature: {
 *                 signature: "Hooli Representative",
 *                 printedName: "Hooli Representative",
 *                 signedAt: "2024-01-01T00:00:00.000Z",
 *                 ipAddress: "127.0.0.1"
 *             }
 *         }
 *     }
 */
export interface W8BenESchema {
    /** The unique identifier for the W-8BEN-E document. */
    id: string;
    /** The date and time in `ISO 8601` format when the W-8BEN-E document was created. */
    createdAt: string;
    /** The date and time in `ISO 8601` format when the W-8BEN-E is expired and requires re-collection. */
    expiresAt: string;
    /** The URL to the W-8BEN-E document. */
    url: string;
    payee: Abound.W8BenEBeneficialOwnerSchema;
    formFields: Abound.W8BenEFormFieldsSchema;
    userId?: Abound.types.UserId;
}
